---
title: Delete speaker
slug: delete-speaker
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}",
  "name": "Delete an existing speaker",
  "method": "DELETE",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{speakerId}",
        "type": "Number",
        "children": [],
        "description": "The id of the speaker you are trying to update"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "{\n    \"data\": {\n        \"id\": \"126830\",\n        \"type\": \"speaker\",\n        \"attributes\": {\n            \"honorific\": \"Dr\",\n            \"first-name\": \"Jonathan\",\n            \"middle-name\": \"Masters\",\n            \"last-name\": \"Smithsonian\",\n            \"job-title\": \"Chief Technology Officer\",\n            \"company-name\": \"Brella Co.,\",\n            \"photo-url\": null,\n            \"bio\": {\n                \"blocks\": [\n                    {\n                        \"text\": \"This is our bio <div>and it supports rich-text</div>\",\n                        \"type\": \"unstyled\",\n                        \"entity_ranges\": []\n                    }\n                ]\n            },\n            \"highlight-position\": 1,\n            \"external-id\": \"ba019290\",\n            \"position\": 1\n        },\n        \"relationships\": {\n            \"speaker-assignments\": {\n                \"data\": []\n            }\n        }\n    },\n    \"included\": []\n}",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "5Qnio-CG-tGA-cpc0ILCa",
        "code": "curl --location -g --request DELETE 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/speakers/{speakerId}' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "5Qnio-CG-tGA-cpc0ILCa"
  },
  "description": "Delete an existing speaker in an event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "delete-an-existing-speaker",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

